#include <p18cxxx.h>

#pragma config FOSC=HS, WDT=OFF, BOR = ON_ACTIVE, BORV = 1, LVP=OFF, PBADEN=OFF, XINST = OFF, MCLRE = ON

void main(void)
{
    LATCbits.LATC2 = 0;
    TRISCbits.TRISC2 = 0;

    T2CONbits.TOUTPS = 0x00; // 1:1
    T2CONbits.T2CKPS = 0x00; // 1:1
    T2CONbits.TMR2ON = 1; // Timer2 Turn On
    PR2 = 200;

    while (1)
    {
        if (PIR1bits.TMR2IF)
        {
            PIR1bits.TMR2IF = 0;
            LATCbits.LATC2 = !LATCbits.LATC2;
        }
    }
}
